CR_Documentor 3.0.0.0 Released

The latest version of CR_Documentor, 3.0.0.0,  has been released.

This version is an update to .NET 4 in preparation for a VSIX-based installer (think Visual Studio Gallery) so it will only support Visual Studio 2010.

It also resolves a small issue where some interfaces changed in DXCore 11.2.8 and the plugin was throwing exceptions. You will need the latest CodeRush/Refactor/DXCore (11.2.8) or things may not work. (I admittedly haven't tried it on earlier versions.)

Free, as always, so go get it! And watch for the VSIX installer, coming soon!

posted on Tuesday, February 14, 2012 3:03 PM | Filed Under [ GeekSpeak Release Notices .NET Visual Studio ]

Comments

Gravatar # re: CR_Documentor 3.0.0.0 Released
by Vaxman2 at 2/15/2012 10:05 AM
Would it be possible for you to fix 2.6.1 to handle the 11.2.8 DXCore?

When I installed 11.2.8, both my VS2008 and VS2010 started throwing the same error in CR_Documentor..

Thank you for your continued updates on this handy addin!
Gravatar # re: CR_Documentor 3.0.0.0 Released
by Travis Illig at 2/15/2012 10:20 AM
I will add this as an issue on the CR_Documentor site.

For other folks looking for features or fixes, please head over there rather than leaving comments. It'll help me track it better.
Gravatar # re: CR_Documentor 3.0.0.0 Released
by Travis Illig at 2/15/2012 10:22 AM
Note: I may or may not do that update. I've not got a lot of time to dedicate to it, and I'm not super interested in maintaining backwards-compatibility branches for all versions of VS and DXCore.
Gravatar # re: CR_Documentor 3.0.0.0 Released
by Travis Illig at 2/15/2012 11:09 AM
After thinking about it for a bit, I don't think I'm going to make the fix. I've updated the issue on the CR_Documentor site with details to explain my thoughts and, for the so inclined, information on how you can fix it yourself given the source for the project.
Comments have been closed on this topic.